Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface DesktopView

All Superinterfaces
  MarkupBasedView, ParentView, Serializable, View

    public interface DesktopView

extends MarkupBasedView, ParentView

The Desktop View is the highest level View object. When retrieving this object you will get all the child objects contained within a portal.

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. An Instance or a Definition however can always be obtained from the view. The persistence APIs provide coarse grain and fine grain getters, but only fine grain setters. If you are interested in an object and all its children then retrieve the View, but if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

A desktop can be obtained in "deep" (the default) or "shallow" mode. In shallow mode, the main book view object is created in shallow mode (see comments for BookView), and all querying methods for book, page, and portlet view objects will return null. By default, DesktopViews are constructed in deep mode. There are specific methods in the portal persistence API to retrieve shallow desktop views. If a DesktopView was constructed in shallow mode, then any child BookView or PageView obtained by traversing View children will be shallow.

See Also
  `View`
  This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`String` | `getAsyncContent()` Deprecated use getAsyncMode();
`String` | `getAsyncMode()` The async mode attribute is used to determine if the desktop should rendered in AJAX mode.
`BookView` | `getBookView()` Get the primary book for this desktop.
`BookView` | `getBookViewRecursive(BookDefinitionId bookDefinitionId)` Get the book for a given database definition ID, searching the entire tree of nested books and pages within this desktop.
`BookView` | `getBookViewRecursive(BookInstanceId bookInstanceId)` Get the book for a given database instance ID, searching the entire tree of nested books within this desktop.
`BookView` | `getBookViewRecursive(String bookDefinitionLabel)` Get the book for a given definition label, searching the entire tree of nested books within this desktop.
`DesktopDefinition` | `getDesktopDefinition()` Retrieve the associated `DesktopDefinition` from this Desktop View.
`DesktopDefinitionId` | `getDesktopDefinitionId()` Getter for the desktop definition id.
`DesktopInstance` | `getDesktopInstance()` Retrieve the associated `DesktopInstance` from this Desktop View.
`DesktopInstanceId` | `getDesktopInstanceId()` Getter for the Desktop instance id.
`DesktopType.DesktopTypeValue` | `getDesktopType()` Returns the type of this desktop.
`LocalizationResourceView` | `getLocalizationResourceView()` The Localization resource contains the localized title and description for this desktop.
`LookAndFeelView` | `getLookAndFeelView()` Get the LookAndFeel associated with this desktop.
`PageView` | `getPageViewRecursive(PageDefinitionId pageDefinitionId)` Get the page for a given database definition ID, searching the entire tree of nested books within this desktop.
`PageView` | `getPageViewRecursive(PageInstanceId pageInstanceId)` Get the page for a given database instance ID, searching the entire tree of nested books within this desktop.
`PageView` | `getPageViewRecursive(String pageDefinitionLabel)` Get the book for a given definition label, searching the entire tree of nested books within this desktop.
`PortletView` | `getPortletViewRecursive(PortletInstanceId portletInstanceId)` Get the portlet for a given database instance id, searching the entire tree of nested books within this desktop.
`PortletView` | `getPortletViewRecursive(String instanceLabel)` Get the portlet for a given instance label, searching the entire tree of nested books within this desktop.
`ShellView` | `getShellView()` Retrieve the shell for this desktop.
`boolean` | `isDisc()` The gooEnabled attribute is used to enable/disable the WLP "Goo" JavaScript framework.
`boolean` | `isDvt()` The dvtEnabled attribute is used to enable/disable the WLP Dynamic Visitor Tooling functionality.
`boolean` | `isGlobal()` Returns true if this desktop is a template that is global.
`boolean` | `isScrollToWindow()` The scrollToWindow feature will scroll the browser view to the `Window` that the user last interacted with on postback requests.
`boolean` | `isTemplate()` Returns true if this desktop is a template.
`boolean` | `isTreeOptimization()` Is UIControl tree optimization enabled?

Methods inherited from interface com.bea.netuix.application.view.MarkupBasedView
`getMarkupView`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Methods inherited from interface com.bea.netuix.application.view.ParentView
`getBookView, getBookViewsRecursive, getPageView, getPageViewsRecursive`

Method Detail

### getDesktopInstanceId

    DesktopInstanceId getDesktopInstanceId()

  Getter for the Desktop instance id. The instance id is the primary key value for the Desktop instance in the PF_DESKTOP_INSTANCE table. A Desktop Definition may have many instance; these instance are created when administrators or users customize their portal. A Desktop Definition always has at least one instance, namely the "primary" instance.

  Returns
    a non-null unique definition id. This value should never be null as views are obtained via the persistence API.

### getDesktopDefinitionId

    DesktopDefinitionId getDesktopDefinitionId()

  Getter for the desktop definition id. The definition id is the primary key value for the desktop definition in the PF_DESKTOP_DEFINITION table. The desktop definition id differs from other portal ids in that it is not an auto generated field. It is a composite primary key derived from three fields: The web app name, the portal path and the desktop path. A Desktop Definition always has at least one instance namely the "primary" instance.

  Returns
    a non-null unique definition id.

### getDesktopInstance

    DesktopInstance getDesktopInstance()

  Retrieve the associated `DesktopInstance` from this Desktop View. Desktop Views are immutable but Instances and Definitions are not. Therefore it is often necessary to retrieve the instance from the view in order to update its values and then in turn call the persistence API.

  Returns
    a non-null Desktop Instance.

### getDesktopDefinition

    DesktopDefinition getDesktopDefinition()

  Retrieve the associated `DesktopDefinition` from this Desktop View. Desktop Views are immutable but Instances and Definitions are not. Therefore it is often necessary to retrieve the definition from the view in order to update its values and then in turn call the persistence API.

  Returns
    a non-null Desktop Definition.

### getLocalizationResourceView

    LocalizationResourceView getLocalizationResourceView()

  The Localization resource contains the localized title and description for this desktop.

  Returns
    a non-null LocalizationResourceView customized per the request.

### getShellView

    ShellView getShellView()

  Retrieve the shell for this desktop. A Shell represents an area on the desktop that is created by the developer and is immutable via the persistence API. Shells, however, can be swapped out on a desktop.

  Returns
    a non-null ShellView object associated with this desktop.

### getBookView

    BookView getBookView()

  Get the primary book for this desktop. This BookView represent the main book view on the desktop.

  Returns
    a null non BookView.

### getLookAndFeelView

    LookAndFeelView getLookAndFeelView()

  Get the LookAndFeel associated with this desktop.

  Returns
    an non-null lookAnfFeelView.

### getBookViewRecursive

    BookView getBookViewRecursive(BookInstanceId bookInstanceId)

  Get the book for a given database instance ID, searching the entire tree of nested books within this desktop. Return null if no such book is found.

  Specified by:
    `getBookViewRecursive` in interface `ParentView`

### getBookViewRecursive

    BookView getBookViewRecursive(BookDefinitionId bookDefinitionId)

  Get the book for a given database definition ID, searching the entire tree of nested books and pages within this desktop. Return null if no such book is found.

  Specified by:
    `getBookViewRecursive` in interface `ParentView`

### getBookViewRecursive

    BookView getBookViewRecursive(String bookDefinitionLabel)

  Get the book for a given definition label, searching the entire tree of nested books within this desktop. Return null if no such book is found.

  Specified by:
    `getBookViewRecursive` in interface `ParentView`

### getPageViewRecursive

    PageView getPageViewRecursive(PageInstanceId pageInstanceId)

  Get the page for a given database instance ID, searching the entire tree of nested books within this desktop. Return null if no such page is found.

  Specified by:
    `getPageViewRecursive` in interface `ParentView`

### getPageViewRecursive

    PageView getPageViewRecursive(String pageDefinitionLabel)

  Get the book for a given definition label, searching the entire tree of nested books within this desktop. Return null if no such page is found.

  Specified by:
    `getPageViewRecursive` in interface `ParentView`

### getPageViewRecursive

    PageView getPageViewRecursive(PageDefinitionId pageDefinitionId)

  Get the page for a given database definition ID, searching the entire tree of nested books within this desktop. Return null if no such page is found.

  Specified by:
    `getPageViewRecursive` in interface `ParentView`

### getPortletViewRecursive

    PortletView getPortletViewRecursive(PortletInstanceId portletInstanceId)

  Get the portlet for a given database instance id, searching the entire tree of nested books within this desktop. Return null if no such portlet is found.

  Specified by:
    `getPortletViewRecursive` in interface `ParentView`
  Parameters
    `portletInstanceId` - as defined in the database.
  Returns
    a portletView if found otherwise null

### getPortletViewRecursive

    PortletView getPortletViewRecursive(String instanceLabel)

  Get the portlet for a given instance label, searching the entire tree of nested books within this desktop. Return null if no such portlet is found.

  Specified by:
    `getPortletViewRecursive` in interface `ParentView`
  Parameters
    `instanceLabel` - the instance label of the portlet.
  Returns
    a portletView if found otherwise null

### isTreeOptimization

    boolean isTreeOptimization()

  Is UIControl tree optimization enabled?

### getDesktopType

    DesktopType.DesktopTypeValue getDesktopType()

  Returns the type of this desktop.

  Returns
    desktopType
  See Also
    `DesktopType`

### isTemplate

    boolean isTemplate()

  Returns true if this desktop is a template.

  Returns
    true is this desktop is a template

### isGlobal

    boolean isGlobal()

  Returns true if this desktop is a template that is global.

  Returns
    true is this desktop is a template that is global

### getAsyncContent

    @Deprecated
    String getAsyncContent()

  Deprecated use getAsyncMode();

  The async content attribute is used to determine if the desktop should rendered in AJAX mode. Under ajax mode all requests are XHRs and the response is JSON.

  Returns
    a value of "off" or "ajax"

### getAsyncMode

    String getAsyncMode()

  The async mode attribute is used to determine if the desktop should rendered in AJAX mode. Under ajax mode all requests are XHRs and the response is JSON.

  Returns
    a value of "enabled", "disabled", "compat_9_2"

### isScrollToWindow

    boolean isScrollToWindow()

  The scrollToWindow feature will scroll the browser view to the `Window` that the user last interacted with on postback requests. This flag identifies whether or not the feature is enabled. Defaults to false.

### isDisc

    boolean isDisc()

  The gooEnabled attribute is used to enable/disable the WLP "Goo" JavaScript framework. Defaults to false.

### isDvt

    boolean isDvt()

  The dvtEnabled attribute is used to enable/disable the WLP Dynamic Visitor Tooling functionality. Defaults to false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.